<template>
  <div id="header-section" class="pb-3 pb-lg-0" v-show="showSection">
    <div class="container">
      <div id="main-nav" class="main-nav row align-items-center">
        <div class="col">
          <div id="logo" class="logo" @click="$router.push('/').catch(() => {})">
            <img id="logo_img" class="logo_img" src="@/assets/img/logo_bsb.png" />
            <div id="logo_text" class="logo_text notranslate">
              <span>BIT<br />STORAGE<br />BOX</span>
              <br />
              <a
                class="text-secondary fw-light text-decoration-none fs-6"
                style="font-family: 'Celias';"
                href="https://www.mybitbox.io"
                target="_blank"
                >www.mybitbox.io</a
              >
            </div>
          </div>
        </div>
        <div class="col">
          <nav class="navbar navbar-expand-lg navbar-light justify-content-end">
            <button
              id="header-navbar-collapse-btn"
              class="navbar-toggler"
              type="button"
              data-bs-toggle="collapse"
              data-bs-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent"
              aria-expanded="false"
              aria-label="Toggle navigation"
              @click.stop="() => {}"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div
              class="collapse navbar-collapse justify-content-end navbar-collapse-mb"
              id="navbarSupportedContent"
              style="z-index: 999; width: fit-content; max-width: 90vw; min-width: 50vw;"
            >
              <ul class="navbar-nav mb-lg-0 navbar-mb">
                <li class="nav-item">
                  <a
                    class="nav-link active"
                    href="https://cryptonews.com.au/story/bitstoragebox-announces-reward-platform-for-popular-quizzes-digital-asset-154381"
                    >Introduction</a
                  >
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/quiz-intro">1-minute Quiz</router-link>
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/create-quiz">Create a Quiz</router-link>
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/list-quiz">Quiz List</router-link>
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/list-survey">Survey List</router-link>
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/create-survey">Create a Survey</router-link>
                </li>
                <li class="nav-item">
                  <router-link class="nav-link active" to="/withdraw">Withdraw</router-link>
                </li>
                <!-- <li class="nav-item">
                  <router-link class="nav-link active" to="/setting">Settings</router-link>
                </li> -->
                <li class="nav-item">
                  <a class="nav-link active" href="#" data-bs-toggle="modal" data-bs-target="#qr-code-popup">QR Code</a>
                </li>
                <!-- <li class="nav-item">
                  <router-link class="nav-link active" to="#">Total Reward</router-link>
                </li> -->
                <li class="nav-item auth-btn" v-if="!isLogged">
                  <router-link class="nav-link active" aria-current="page" to="/signin">Sign In</router-link>
                </li>
                <li class="nav-item auth-btn" v-if="!isLogged">
                  <router-link class="nav-link" to="/signup">Sign Up</router-link>
                </li>
                <li class="nav-item auth-btn" v-if="isLogged">
                  <a class="nav-link" @click="signOut">Sign Out</a>
                </li>
                <li class="nav-item gg-item" @click.stop="() => {}">
                  <div id="google_translate_element"></div>
                </li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>

    <div id="second-nav" class="second-nav">
      <div class="container">
        <div class="second-nav-container row align-items-center">
          <div class="col">
            <ul class="nav justify-content-between">
              <li class="nav-item">
                <a
                  class="nav-link active"
                  href="https://cryptonews.com.au/story/bitstoragebox-announces-reward-platform-for-popular-quizzes-digital-asset-154381"
                  >Introduction</a
                >
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/quiz-intro">1-minute Quiz</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/create-quiz">Create a Quiz</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/list-quiz">Quiz List</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/list-survey">Survey List</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/create-survey">Create a Survey</router-link>
              </li>
              <li class="nav-item">
                <router-link class="nav-link active" to="/withdraw">Withdraw</router-link>
              </li>
              <!-- <li class="nav-item">
                <router-link class="nav-link active" to="/setting">Settings</router-link>
              </li> -->
              <li class="nav-item">
                <a class="nav-link active" href="#" data-bs-toggle="modal" data-bs-target="#qr-code-popup">QR Code</a>
              </li>
              <!-- <li class="nav-item">
                <router-link class="nav-link active" to="#">Total Reward</router-link>
              </li> -->
            </ul>
          </div>
        </div>
      </div>
    </div>

    <!-- Qr code -->
    <qr-code-popup></qr-code-popup>
  </div>
</template>

<script>
import QrCodePopup from "./QrCodePopup.vue";

export default {
  components: {
    QrCodePopup
  },
  data() {
    return {
      isLogged: true,
      showSection: true
    };
  },
  watch: {
    $route: {
      handler(to, from) {
        if (to && to.path === "/") {
          this.checkLogStatus();
        }
        if (from && from.path && (from.path.includes("signin") || from.path.includes("signup"))) {
          this.checkLogStatus();
        }

        if (
          to &&
          to.path &&
          (to.path.includes("signin") ||
            to.path.includes("signup") ||
            to.path === "/coming-soon" ||
            to.path === "/error" ||
            to.path.includes("not-found"))
        ) {
          this.showSection = false;
          return;
        }
        this.showSection = true;
      }
    }
  },
  methods: {
    signOut() {
      localStorage.removeItem("user");
      localStorage.removeItem("token");

      if (this.$route.path === "/") {
        location.reload();
        return;
      }
      this.$router.push("/").catch(() => {});
    },
    checkLogStatus() {
      const token = localStorage.getItem("token");

      if (token) {
        this.isLogged = true;
        return;
      }
      this.isLogged = false;
    },
    toggleNavBar() {
      let collapseBtn = document.querySelector("#header-navbar-collapse-btn");
      let collapseNavbar = document.querySelector("#header-section #navbarSupportedContent");
      let isNavbarShow = Array.from(collapseNavbar.classList).includes("show");

      if (isNavbarShow) {
        collapseBtn.click();
      }
    }
  },
  mounted() {
    this.checkLogStatus();

    document.addEventListener("click", () => {
      this.toggleNavBar();
    });
  }
};
</script>

<style scoped>
.overlay-collapse {
  width: 100vw;
  height: 100vh;
  background: rebeccapurple;
  left: 0;
  top: 0;
  position: fixed;
  z-index: -1;
}
.navbar-mb li {
  display: none;
}
.navbar-mb .auth-btn,
.navbar-mb .gg-item {
  display: list-item;
}
@media screen and (max-width: 991px) {
  .navbar-mb li {
    display: list-item;
  }
}
</style>
